summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authorDaniel Friesel <derf@derf.homelinux.org>2008-05-26 23:03:44 +0200
committerDaniel Friesel <derf@derf.homelinux.org>2008-05-26 23:03:44 +0200
commit063d1ade222b642478afb87481128c8bc89285bb (patch)
tree519f3b0029feb4a501b92ebe60b43711154cb7e6
parent86a555bc7ead18aac710730272b8c63fc4e5a093 (diff)
bin/pkg: fix the update stuff... hopefully
-rwxr-xr-xbin/pkg6
1 files changed, 3 insertions, 3 deletions
diff --git a/bin/pkg b/bin/pkg
index c726e02..d9eabf1 100755
--- a/bin/pkg
+++ b/bin/pkg
@@ -92,9 +92,9 @@ pkg_remove () {
pkg_update () {
cd $PDIR/$1
- if (NEW=$($VCS_CMD $VCS_OPTIONS $VCS_INCOMING)) {
- NEW=$(tail -n 1 <<< $NEW)
- info "Updating package $1 to $NEW"
+ NEW=$($VCS_CMS $VCS_OPTIONS $VCS_INCOMING)
+ if ([ $? != 0 ]) {
+ info "Updating package $1 to $(echo $NEW | tail -n 1)"
$VCS_CMD $VCS_OPTIONS $VCS_UPDATE $VCS_UPDATE_OPTIONS
checklinks $CL_OPTIONS
if ([ -f hooks/post-update ]) {